
# 
# Copyright 1999-2006 University of Chicago
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
# http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 

eval_path()
{
    _pathval="$1"
    _old_pathval=""

    while test "$_pathval" != "$_old_pathval"; do
        _old_pathval="$_pathval"
        eval "_pathval=\"$_pathval\""
    done
    echo "$_pathval"
}

prefix="${GLOBUS_LOCATION:-/usr/i686-pc-mingw32/sys-root/mingw}"
exec_prefix='/usr/i686-pc-mingw32/sys-root/mingw'
sbindir='/usr/i686-pc-mingw32/sys-root/mingw/sbin'
bindir='/usr/i686-pc-mingw32/sys-root/mingw/bin'
libdir='/usr/i686-pc-mingw32/sys-root/mingw/lib'
libexecdir='${datadir}/globus'
includedir='${prefix}/include/globus'
datarootdir='${prefix}/share'
datadir='/usr/i686-pc-mingw32/sys-root/mingw/share'
mandir='/usr/i686-pc-mingw32/sys-root/mingw/share/man'
sysconfdir='/usr/i686-pc-mingw32/sys-root/mingw/etc'
sharedstatedir='/usr/i686-pc-mingw32/sys-root/mingw/com'
localstatedir='/usr/i686-pc-mingw32/sys-root/mingw/var'

setupdir='${datadir}/globus/setup'
testdir='${datadir}/globus/test/${PACKAGE}'
flavorincludedir='${libdir}/globus/include'
pkgdir='${datadir}/globus/packages/${PACKAGE}'
aclocaldir='${datadir}/globus/aclocal'
perlmoduledir='${prefix}/lib/perl'
doxygendir='${datadir}/globus/doxygen'
guess_libdir='0'

MP=""
MP_INCLUDES=""
MP_LIBS=""

CC="/usr/bin/i686-pc-mingw32-gcc -Wl,--as-needed"
CPP="/usr/bin/i686-pc-mingw32-gcc -E"
CPPFLAGS="`eval_path ' -I${prefix}/include/globus -I${libdir}/globus/include'`"
CFLAGS="`eval_path '-g -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions --param=ssp-buffer-size=4 -mms-bitfields  -DWINVER=0x0502 -Wall'`"

LDFLAGS="`eval_path '-Wl,--export-all-symbols -Wl,--enable-auto-import -Wl,--enable-runtime-pseudo-reloc  '`"
LIBS="`eval_path '  '`"

CXX="/usr/bin/i686-pc-mingw32-g++ -Wl,--as-needed"
CXXCPP="/usr/bin/i686-pc-mingw32-g++ -E"
CXXFLAGS="-g -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions --param=ssp-buffer-size=4 -mms-bitfields  "

F77=""
F77FLAGS=" "

F90=""
F90FLAGS=" "

AR="/usr/bin/i686-pc-mingw32-ar"
ARFLAGS="ruv"
RANLIB="/usr/bin/i686-pc-mingw32-ranlib"

NM="/usr/bin/i686-pc-mingw32-nm -B"

PERL="/usr/bin/perl"

OBJEXT="o"
EXEEXT=".exe"

OBJECT_MODE=""

CROSS="yes"
cross_compiling=${CROSS}

GLOBUS_THREADS="none"
GLOBUS_HOST="i686-pc-mingw32"
GLOBUS_DEBUG="yes"

if [ $# -gt 0 ] && [ $1 = "makefile-header" ]; then
    cat <<EOF
GLOBUS_MP=""
GLOBUS_MP_INCLUDES=""
GLOBUS_MP_LIBS=""

GLOBUS_CC="/usr/bin/i686-pc-mingw32-gcc -Wl,--as-needed"
GLOBUS_CPP="/usr/bin/i686-pc-mingw32-gcc -E"
GLOBUS_CPPFLAGS="`eval_path ' -I${prefix}/include/globus -I${libdir}/globus/include'`"
GLOBUS_CFLAGS="`eval_path '-g -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions --param=ssp-buffer-size=4 -mms-bitfields  -DWINVER=0x0502 -Wall'`"

GLOBUS_LDFLAGS="`eval_path '-Wl,--export-all-symbols -Wl,--enable-auto-import -Wl,--enable-runtime-pseudo-reloc  '`"
GLOBUS_LIBS="`eval_path '  '`"

GLOBUS_CXX="/usr/bin/i686-pc-mingw32-g++ -Wl,--as-needed"
GLOBUS_CXXCPP="/usr/bin/i686-pc-mingw32-g++ -E"
GLOBUS_CXXFLAGS="-g -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions --param=ssp-buffer-size=4 -mms-bitfields  "

GLOBUS_F77=""
GLOBUS_F77FLAGS=" "

GLOBUS_F90=""
GLOBUS_F90FLAGS=" "

GLOBUS_AR="/usr/bin/i686-pc-mingw32-ar"
GLOBUS_ARFLAGS="ruv"
GLOBUS_RANLIB="/usr/bin/i686-pc-mingw32-ranlib"

GLOBUS_NM="/usr/bin/i686-pc-mingw32-nm -B"

GLOBUS_OBJEXT="o"
GLOBUS_EXEEXT=".exe"

GLOBUS_OBJECT_MODE=""

GLOBUS_CROSS="yes"
GLOBUS_cross_compiling=${CROSS}

GLOBUS_THREADS="none"
GLOBUS_HOST="i686-pc-mingw32"
GLOBUS_DEBUG="yes"
EOF
fi

